Impossibile trovare il pacchetto nvidia-355 e problemi di Hearthstone

4

Ho cercato di installare Hearthstone tramite Wine, l'ho configurato correttamente e l'ho installato prima, ma ora per qualche motivo non posso installare l'ultimo driver NVIDIA (che è 355) e nei miei driver proprietari ottengo 340 .

Quando eseguo sudo apt-cache search nvidia | grep -oE "nvidia-[0-9]{1,3}" , ottengo solo 346 per la versione più recente. E quando provo a installarlo con sudo apt-get install nvidia-352 lo dice: Unable to locate package nvidia-352 .

E per Hearthstone questo è ciò che ottengo:

Tutte queste cose hanno funzionato perfettamente nel 14.04, ma ho dovuto installare NVIDIA Cuda per Wine e NVIDIA per non scontrarsi.

Uso NVIDIA Geforce 740m e Wine dal Software Center di Ubuntu, dice che è 1.4.

Potrebbe essere questo il motivo?

    
posta Nikola Atanasov 19.10.2015 - 20:19

1 risposta

2

Nel caso in cui siano già stati installati i driver NVIDIA, disinstallare prima tutti i software relativi a NVIDIA.

Apri un terminale ed esegui:

sudo apt-get purge nvidia*  
sudo reboot 

Installa i driver NVIDIA (long-long branch) stabili più recenti dai driver proprietari di GPU PPA:

sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt-get update
sudo apt-get install nvidia-352
sudo reboot  

Se vuoi avere i driver più recenti (di breve durata) 355 - sostituisci semplicemente 352 con 355.

    
risposta data cl-netbox 21.10.2015 - 16:43

Leggi altre domande sui tag